# PCSetFromOptions

Sets PC options from the options database. This routine must be called before PCSetUp() if the user is to be allowed to set the preconditioner method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCSetFromOptions(PC pc)

Collective on PC

### Input Parameter

pc -the preconditioner context

### Keywords

PC, set, from, options, database

### See Also

Level:developer
Location: src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages